Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 382585 - kde-base/system-config-printer-kde-4.7.1 fails install phase
Summary: kde-base/system-config-printer-kde-4.7.1 fails install phase
Status: RESOLVED DUPLICATE of bug 374579
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: x86 Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-11 09:54 UTC by Geoff Madden
Modified: 2011-10-16 10:50 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge info + -pqv for x86 (emerge.inf,4.93 KB, text/plain)
2011-09-11 09:54 UTC, Geoff Madden
Details
build log x86 (build.log,8.58 KB, text/plain)
2011-09-11 09:56 UTC, Geoff Madden
Details
bzipped environment file for x86 (environment.tar.bz2,48.20 KB, application/octet-stream)
2011-09-11 09:57 UTC, Geoff Madden
Details
My build.log (build.log,8.80 KB, text/plain)
2011-09-12 10:47 UTC, Michal Pytasz
Details
Rebuilding pycups and system-config-printer-kde (nodoc_build.txt,16.60 KB, text/plain)
2011-09-13 11:08 UTC, Michal Pytasz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Geoff Madden 2011-09-11 09:54:50 UTC
Created attachment 286105 [details]
emerge info + -pqv for x86

system-config-printer-kde-4.7.1 seems to compile ok,but the ebuild wont recognise any command line instructions; ie: I placed into package.use - DINSTALL_CONFIG_PRINTER=TRUE  as per instructions I received when trying to manually install,but this was ignored when trying to recompile V the ebuild.
Comment 1 Geoff Madden 2011-09-11 09:56:15 UTC
Created attachment 286107 [details]
build log x86
Comment 2 Geoff Madden 2011-09-11 09:57:24 UTC
Created attachment 286109 [details]
bzipped environment file for x86
Comment 3 Maciej Mrozowski gentoo-dev 2011-09-11 12:18:07 UTC
That's correct, because you don't pass cmake arguments via package.use file.

Do you have app-admin/system-config-printer-common and dev-python/pycups installed? Because build log says you don't.
Comment 4 Michal Pytasz 2011-09-12 10:43:47 UTC
Well,

I could confirm similar issue, however (for a week or two I'll be/) I am using funtoo portage and repository. The ebuild (and the whole portage tree) is pretty much the same, however I have completly different portage version. Still, 
I am using gentoo profile not funtoo:/usr/portage/profiles/default/linux/amd64/10.0/ in the portage tree, and gentoo-sources.


my # emerge --info
Portage 2.3-r7 (default/linux/amd64, gcc-4.4.5, glibc-2.11.3-r0, 3.0.4-gentoo-x64 x86_64)
=================================================================
System uname: Linux-3.0.4-gentoo-x64-x86_64-Pentium-R-_Dual-Core_CPU_T4200_@_2.00GHz-with-gentoo-2.1.8
Timestamp of tree: Mon, 12 Sep 2011 05:30:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.2_p10
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.1-r1
dev-util/cmake:           2.8.5-r2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1.8-r2
sys-apps/openrc:          0.8.3-r2
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.10.3, 1.11.1-r1
sys-devel/binutils:       2.20.1
sys-devel/gcc:            4.4.5
sys-devel/gcc-config:     1.5
sys-devel/libtool:        2.4-r3
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.38 (virtual/os-headers)
sys-libs/glibc:           2.11.3
Repositories: gentoo
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA skype-eula dlj-1.1 cadsoft PUEL AdobeFlash-10.1"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages mini-manifest news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"                                                                                                                                           
LANG="pl_PL.UTF-8"                                                                                                                                                                     
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"                                                                                                                                    
LINGUAS="pl"                                                                                                                                                                           
MAKEOPTS="-j2"                                                                                                                                                                         
PKGDIR="/usr/portage/packages"                                                                                                                                                         
PORTAGE_CONFIGROOT="/"                                                                                                                                                                 
PORTAGE_TMPDIR="/var/tmp"                                                                                                                                                              
PORTDIR="/usr/portage"                                                                                                                                                                 
PORTDIR_OVERLAY=""
SYNC="git://github.com/funtoo/portage-mini-2011.git"
SYNC_USER="root"
USE="3dnow 3dnowext X a52 aac accessibility acpi akonadi alac alsa amd64 aspell avi berkdb bluetooth bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus declarative device-mapper dhcpcd disk-partition dri dv dvd dvdr dvdread eap-sim encode exif extras fat ffmpeg flac foomaticdb fortran fuse gadu gif gmp gnutls gtk2 iconv icu imagemagick ipv6 irc jack java java6 javacomm jpeg jpeg2k kde kde4 kdehiddenvisibility lame laptop lcms libv4l libv4l2 lm_sensors logitech-mouse logrotate mad madwifi melt mikmod mmx mmxext mng modules mp3 mpeg mudflap multilib mysql ncurses nforce2 nls nsplugin ntfs ogg openexr opengl openmp oss pam pcre pdf perl plasma pmu png policykit postgres ppds pppd python qt qt3support qt4 rdesktop rdp readline samba sdl secure-delete semantic-desktop session smp sms sndfile sql sse sse2 sse3 ssl ssse3 subtitles svg tcl tcpd theora threads tiff timidity tk trascode truetype udev unicode usb v4l2 vcd vdpau vlc vorbis wavpack webkit wicd wifi wmf xcb xcomposite xfs xinerama xml xorg xv xvid xvmc zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="canon lg_gsm ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" FOO2ZJS_DEVICES="sa315" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel i965 nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, SYNC_UMASK
Comment 5 Michal Pytasz 2011-09-12 10:47:09 UTC
Created attachment 286215 [details]
My build.log
Comment 6 Geoff Madden 2011-09-12 11:29:55 UTC
Michael it looks as though you dont have PyKde4 installed or not the latest version
Comment 7 Michal Pytasz 2011-09-12 12:25:05 UTC
Hi,

Thanks for reply, at first I thought of the same thing, however I do have kde-base/pykde4-4.7.1 To make sure, I have rebuilt PyQt4 and pykde4 today, nevertheless I still can't build system-config-printer-kde - it looks as if some python dependency was missing. in kde-4.7.1 the only thing I cannot build is this package (and therefore kdeadmin-meta, kde-meta).

python-updater does not seem to catch anything (yes, I did update few months old system, python changed from 2.6 and I did run python-updater).

Anyway, thanks again, and I think I should move my problem solving to forum...

Michał
Comment 8 Geoff Madden 2011-09-12 15:37:35 UTC
(In reply to comment #7)
> Hi,
> 
> Thanks for reply, at first I thought of the same thing, however I do have
> kde-base/pykde4-4.7.1 To make sure, I have rebuilt PyQt4 and pykde4 today,
> nevertheless I still can't build system-config-printer-kde - it looks as if
> some python dependency was missing. in kde-4.7.1 the only thing I cannot build
> is this package (and therefore kdeadmin-meta, kde-meta).
> 
> python-updater does not seem to catch anything (yes, I did update few months
> old system, python changed from 2.6 and I did run python-updater).
> 
> Anyway, thanks again, and I think I should move my problem solving to forum...
> 
> Michał

Yeh sorry but left out a critcal bit rebuild pycups with '-doc' then the config printer will also build,apparently there's   a hassle with python 3 and the ebuild for pycups trying to force the doc generation/
Geoff
Comment 9 Michal Pytasz 2011-09-13 11:03:31 UTC
Hi,

Thanks again for reply, but... it did not change anything (both ways, doc and -doc).

Looks as if some installed modules were not visible. I have similar problem with pybluez while emerging wammu...


Michal
Comment 10 Michal Pytasz 2011-09-13 11:08:53 UTC
Created attachment 286335 [details]
Rebuilding pycups and system-config-printer-kde
Comment 11 Michal Pytasz 2011-09-14 14:54:05 UTC
Well, after lots of reading I found i did hit bug 374579
	
I have kernel 3.x
Comment 12 Eitan Mosenkis 2011-10-10 20:29:25 UTC
I have this same problem also, and I'm also running kernel 3.0.4. Is there a fix for this? bug 374579 doesn't seem to offer a solution, as I have already reinstalled python since that bug was closed.
Comment 13 Geoff Madden 2011-10-11 08:03:38 UTC
(In reply to comment #12)
> I have this same problem also, and I'm also running kernel 3.0.4. Is there a
> fix for this? bug 374579 doesn't seem to offer a solution, as I have already
> reinstalled python since that bug was closed.
This's going back a bit,but from memory I recalled having to rerun  pythton-updater,
this picked up several files for rebuild,and as a precaution I ran 'perl-cleaner -all' which also found out of date files. Then the kde-printer bit compiled up ok. As of this date I have updated to kde-4.7.2 where this hassle wasn't evident,just a problem with the test of cantor-4.7.2 & kalgebra-4.7.2,which fail to complete.
I have also got into the habit of -uND @world then -a --depclean.,& find the system is reasonably stable.
Geoff
Comment 14 Eitan Mosenkis 2011-10-11 13:06:13 UTC
The solution was to update python to 2.7.2-r3 (which is ~amd64). There was a fix added there, but 2.7.1 wasn't fixed.
Comment 15 Andreas K. Hüttel gentoo-dev 2011-10-16 10:50:59 UTC
Python team is a bit understaffed/overwhelmed at the moment... :|

*** This bug has been marked as a duplicate of bug 374579 ***